﻿@model ClientLogin
@{
    var totalInvestmentIncome = Model.BankCreditUnionAccounts.Sum(m => m.AnnualIncome) + Model.BrokerageAdvisoryAccounts.Sum(m => m.AnnualIncome) + Model.LifeAnnuityContracts.Sum(m => m.AnnualIncome);
}
@if (Model.BankCreditUnionAccounts.Any() || Model.BrokerageAdvisoryAccounts.Any() || Model.LifeAnnuityContracts.Any())
{
    <h3 style="margin-bottom:10px">Investment Income</h3>
    <table class="table-custom">
        <thead>
            <tr>
                <th>Investment Type</th>
                <th class="text-right">Annual Income</th>
                <th class="text-right" width="40px">Duration</th>
            </tr>
        </thead>
        @if (Model.BankCreditUnionAccounts.Any())
        {
            <tr>
                <td class="font-weight-bold" colspan="3">
                    Bank/Credit Union
                </td>
            </tr>
            @foreach (var item1 in Model.BankCreditUnionAccounts)
            {
                <tr>
                    <td style="padding-left:30px">@item1.AccountTypeString</td>
                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                    <td class="text-right">@item1.Years</td>
                </tr>
            }
        }
        @if (Model.BrokerageAdvisoryAccounts.Any())
        {
            <tr>
                <td class="font-weight-bold" colspan="3">
                    Brokerage/Advisory
                </td>
            </tr>
            @foreach (var item1 in Model.BrokerageAdvisoryAccounts)
            {
                <tr>
                    <td style="padding-left:30px">@item1.AccountTypeString</td>
                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                    <td class="text-right">@item1.Years</td>
                </tr>
            }
        }
        @if (Model.LifeAnnuityContracts.Any())
        {
            <tr>
                <td class="font-weight-bold" colspan="3">
                    Life/Annuity
                </td>
            </tr>
            @foreach (var item1 in Model.LifeAnnuityContracts)
            {
                <tr>
                    <td style="padding-left:30px">@item1.LifeAnnuityContractTypeString</td>
                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                    <td class="text-right">@item1.Years</td>
                </tr>
            }
        }
        <tfoot>
            <tr>
                <td class="font-weight-bold">Total</td>
                <td class="text-right">@string.Format("{0:C0}", totalInvestmentIncome)</td>
                <td></td>
            </tr>
        </tfoot>
    </table>
    <hr style="border-top: 1px solid #23588d;margin-top:30px" />
}